package com.dev.swms.server.model.interfaces;

import java.util.Date;

import com.dev.energy.server.model.Entity;

/**
 * 日记账接口
 * @author 44700
 *
 */
public class InterfaceWmsDiary extends Entity{
	
	/**条码*/
	private String barCodeString1;
	
	/**商品*/
	private String ndItemNumber;
	
	/**定单 公司*/
	private String orderCompanyOrderNumber;
	
	/**定单 号 */
	private String orderType;
	
	/**定单 类型 */
	private String documentOrderNoInvoiceetc;
	
	/**定单 行号*/
	private String lineNumber;
	
	/**后缀 */
	private String orderSuffix;
	
	/**WMS 订单号 */
	private String wMSOrderID;
	
	/**WMS 订单类型 */
	private String wMSOrderType;
	
	/**WMS 订单行号 */
	private String wMSLineNumber;
	
	/**备用字段*/
	private String jDEnterpriseOneEventPoint01;
	
	/**备用字段*/
	private String jDEnterpriseOneEventPoint02;
	
	/**备用字段*/
	private String jDEnterpriseOnePoint03;
	
	/**备用字段*/
	private String description11;
	
	/**备用字段*/
	private String description12;
	
	/**备用字段*/
	private String description13;
	
	/**备用字段*/
	private String description14;
	
	/**备用字段*/
	private String description15;
	
	/**用户号 */
	private String userID;
	
	/**程序号 */
	private String programID;
	
	/**工作站号 */
	private String workStationID;
	
	/**详细的错误消息 */
	private String e1MessageList;
	
	/**错误消息 */
	private String errorCode;
	
	/**是否成功*/
	private String dataItem;
	
	/**异常描述*/
	private String exception_des;
	
	/**状态*/
	private String status;
	
	/**创建时间*/
	private Date createDate;
	
	
	
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}



	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getException_des() {
		return exception_des;
	}

	public void setException_des(String exception_des) {
		this.exception_des = exception_des;
	}

	public String getBarCodeString1() {
		return barCodeString1;
	}

	public void setBarCodeString1(String barCodeString1) {
		this.barCodeString1 = barCodeString1;
	}

	public String getNdItemNumber() {
		return ndItemNumber;
	}

	public void setNdItemNumber(String ndItemNumber) {
		this.ndItemNumber = ndItemNumber;
	}

	public String getOrderCompanyOrderNumber() {
		return orderCompanyOrderNumber;
	}

	public void setOrderCompanyOrderNumber(String orderCompanyOrderNumber) {
		this.orderCompanyOrderNumber = orderCompanyOrderNumber;
	}

	public String getOrderType() {
		return orderType;
	}

	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}

	public String getDocumentOrderNoInvoiceetc() {
		return documentOrderNoInvoiceetc;
	}

	public void setDocumentOrderNoInvoiceetc(String documentOrderNoInvoiceetc) {
		this.documentOrderNoInvoiceetc = documentOrderNoInvoiceetc;
	}

	public String getLineNumber() {
		return lineNumber;
	}

	public void setLineNumber(String lineNumber) {
		this.lineNumber = lineNumber;
	}

	public String getOrderSuffix() {
		return orderSuffix;
	}

	public void setOrderSuffix(String orderSuffix) {
		this.orderSuffix = orderSuffix;
	}

	public String getwMSOrderID() {
		return wMSOrderID;
	}

	public void setwMSOrderID(String wMSOrderID) {
		this.wMSOrderID = wMSOrderID;
	}

	public String getwMSOrderType() {
		return wMSOrderType;
	}

	public void setwMSOrderType(String wMSOrderType) {
		this.wMSOrderType = wMSOrderType;
	}

	public String getwMSLineNumber() {
		return wMSLineNumber;
	}

	public void setwMSLineNumber(String wMSLineNumber) {
		this.wMSLineNumber = wMSLineNumber;
	}

	public String getjDEnterpriseOneEventPoint01() {
		return jDEnterpriseOneEventPoint01;
	}

	public void setjDEnterpriseOneEventPoint01(String jDEnterpriseOneEventPoint01) {
		this.jDEnterpriseOneEventPoint01 = jDEnterpriseOneEventPoint01;
	}

	public String getjDEnterpriseOneEventPoint02() {
		return jDEnterpriseOneEventPoint02;
	}

	public void setjDEnterpriseOneEventPoint02(String jDEnterpriseOneEventPoint02) {
		this.jDEnterpriseOneEventPoint02 = jDEnterpriseOneEventPoint02;
	}

	public String getjDEnterpriseOnePoint03() {
		return jDEnterpriseOnePoint03;
	}

	public void setjDEnterpriseOnePoint03(String jDEnterpriseOnePoint03) {
		this.jDEnterpriseOnePoint03 = jDEnterpriseOnePoint03;
	}

	public String getDescription11() {
		return description11;
	}

	public void setDescription11(String description11) {
		this.description11 = description11;
	}

	public String getDescription12() {
		return description12;
	}

	public void setDescription12(String description12) {
		this.description12 = description12;
	}

	public String getDescription13() {
		return description13;
	}

	public void setDescription13(String description13) {
		this.description13 = description13;
	}

	public String getDescription14() {
		return description14;
	}

	public void setDescription14(String description14) {
		this.description14 = description14;
	}

	public String getDescription15() {
		return description15;
	}

	public void setDescription15(String description15) {
		this.description15 = description15;
	}

	public String getUserID() {
		return userID;
	}

	public void setUserID(String userID) {
		this.userID = userID;
	}

	public String getProgramID() {
		return programID;
	}

	public void setProgramID(String programID) {
		this.programID = programID;
	}

	public String getWorkStationID() {
		return workStationID;
	}

	public void setWorkStationID(String workStationID) {
		this.workStationID = workStationID;
	}

	public String getE1MessageList() {
		return e1MessageList;
	}

	public void setE1MessageList(String e1MessageList) {
		this.e1MessageList = e1MessageList;
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}

	public String getDataItem() {
		return dataItem;
	}

	public void setDataItem(String dataItem) {
		this.dataItem = dataItem;
	}
	
	
	
	
	
}
